<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_InLogicalNetwork" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_InLogicalNetwork">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Collection" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_MemberOfCollection.Collection</cim:Qualifier>
<cim:Qualifier name="Aggregate" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Collection</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The LogicalNetwork that groups the ProtocolEndpoint instances.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_InLogicalNetwork"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Member" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_MemberOfCollection.Member</cim:Qualifier>
<cim:Qualifier name="Override" type="cim:cimString">Member</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The child ProtocolEndpoints that are components of the LogicalNetwork.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_InLogicalNetwork"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_InLogicalNetwork" type="class:CIM_InLogicalNetwork_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_InLogicalNetwork" superclass="CIM_CollectedMSEs"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Deprecated" type="cim:cimString">CIM_MemberOfCollection</cim:Qualifier>
<cim:Qualifier name="Aggregation" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.7.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Network::Collections</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">This association defines a ProtocolEndpoint as a member of a specific LogicalNetwork. 

Since the LogicalNetwork class is deprecated in lieu of ConnectivityCollection, this association is no longer necessary. It is deprecated to the MemberOfCollection association, that is inherited by ConnectivityCollection from its superclass, Collection.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_InLogicalNetwork_Type">
<xs:sequence>
<xs:element ref="class:Collection"/>
<xs:element ref="class:Member"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
